Программа: php-revista 1.1.2, возможно более ранние версии.

Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, выполнить произвольные SQL команды и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "adodb" в сценарии revista/estilo/[style]/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Пример:

http://[host]revista/estilo/[style]/busqueda_tema.php?id_temas=[code]
http://[host]revista/estilo/[style]//busqueda.php?cadena=[code]
http://[host]revista/estilo/[style]//autor.php?id_autor=[code]
http://[host]revista/estilo/[style]//lista.php?email=[code]
http://[host]revista/estilo/[style]//articulo.php?id_articulo=[code]

3. Уязвимость существует из-за того, что злоумышленник может установить параметры "ID_ADMIN" и "SUPER_ADMIN" в 1 и получит ьдоступ к административной части приложения.

4. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Пример:

http://[host]/revista/estilo/[style]/busqueda.php?cadena=[code]
http://[host]revista/estilo/[style]/lista.php?email=[code]



Оставить мнение